import { object, string } from 'yup'

import { phoneNumberRule } from '@/constants/rules/phoneNumberRule'
import { nationalCodeRule } from '@/constants/rules/nationalCodeRule'

export const sampleSchema = object().shape({
  subject: string().required(),
  note: string().required(),
})

export const demoFormSchema = object().shape({
  fullName: string().required().min(3),
  phoneNumber: phoneNumberRule,
  nationalCode: nationalCodeRule,
  bio: string().max(160).nullable().notRequired(),
  province: string().required(),
  birthDate: string().required(),
})
